
CREATE TABLE IF NOT EXISTS `#__miniorange_azure_customer` (
`id` int(11) UNSIGNED NOT NULL ,
`email` VARCHAR(255)  NOT NULL ,
`password` VARCHAR(255)  NOT NULL ,
`admin_phone` VARCHAR(255)  NOT NULL ,
`customer_key` VARCHAR(255)  NOT NULL ,
`customer_token` VARCHAR(255) NOT NULL,
`api_key` VARCHAR(255)  NOT NULL,
`login_status` tinyint(1) DEFAULT FALSE,
`status` VARCHAR(255)  NOT NULL,
`azure_lk` VARCHAR(255)  NOT NULL,
`registration_status` VARCHAR(255) NOT NULL,
`transaction_id` VARCHAR(255) NOT NULL,
`email_count` int(11),
`sms_count` int(11),
`sso_var` VARCHAR(255) NOT NULL,
`sso_test` VARCHAR(255) NOT NULL,
`uninstall_feedback` int(2) NOT NULL,
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;


CREATE TABLE IF NOT EXISTS `#__miniorange_azure_sync_config` (
`id` int(11) UNSIGNED NOT NULL ,
`mo_azure_sync_application_id` VARCHAR(255) NOT NULL ,
`mo_azure_sync_client_secret` VARCHAR(255)  NOT NULL ,
`mo_azure_redirect_uri` VARCHAR(255) NOT NULL ,
`mo_azure_tenant_id` VARCHAR(255)  NOT NULL ,
`mo_azure_sync_upn` VARCHAR(255)  NOT NULL ,
`mo_azure_tenant_name` VARCHAR(255) NOT NULL,
`mo_azure_sync_on_joomla_delete` VARCHAR(10) NOT NULL,
`mo_azure_sync_on_joomla_create` VARCHAR(10) NOT NULL,
`mo_azure_sync_on_joomla_update` VARCHAR(10) NOT NULL,
`mo_azure_name` VARCHAR (255) NOT NULL,
`mo_azure_username` VARCHAR (255) NOT NULL,
`mo_azure_email` VARCHAR (255) NOT NULL,
`mo_azure_test_attributes` VARCHAR (1064) NOT NULL,
PRIMARY KEY (`id`)
) DEFAULT COLLATE=utf8_general_ci;

INSERT IGNORE INTO `#__miniorange_azure_customer`(`id`,`login_status`) values (1,false);
INSERT IGNORE INTO `#__miniorange_azure_sync_config`(`id`) values (1);
