<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_miniorange_azuresync
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die('Restricted Access');
JHtml::_('stylesheet', JURI::base() .'components/com_miniorange_azuresync/assets/css/miniorange_boot.css');
JHtml::_('stylesheet', JURI::base() .'components/com_miniorange_azuresync/assets/css/miniorange_license.css');
JHtml::_('script', JUri::base() . 'components/com_miniorange_azuresync/assets/js/jquery.1.11.0.min.js');
JHtml::_('script', JURI::base() . 'components/com_miniorange_azuresync/assets/js/utilityjs.js');
JHtml::_('stylesheet','https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css');


?>
 <?php 
 function getCustomerDetails() {
	return(MoAzureUtility::mo_azure_get_details('#__miniorange_azure_customer'));
}

 function mo_azure_welcome_screen(){
	?>
		<div class="mo_boot_d-flex mo_boot_justify-content-center mo_azure_white_background">
		  	<div class="mo_azure_benefits-content mo_boot_text-center">
				<p class="mo_boot_mx-4 mo_boot_py-4 mo_boot_my-4 mo_boot_px-4">
					<?php echo JText::_('COM_MINIORANGE_WELCOME_SCREEN'); ?>
				</p>
  				<div class="mo_boot_mx-4 mo_boot_text-center mo_boot_my-4 ">
				  	<input type="button" class="mo_boot_btn mo_azure_blue_buttons" target="_blank" onclick="window.open('https://plugins.miniorange.com/azure-ad-user-provisioning-with-joomla')" value="<?php echo JText::_('COM_MINIORANGE_AZURE_SETUP_GUIDE'); ?>" />
					<a class="mo_boot_btn mo_azure_blue_buttons" href="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&tab-panel=azureconfiguration')?>"><?php echo JText::_('COM_MINIORANGE_AZURE_CONFIGURE_PLUGIN'); ?></a>
 				</div>		  
			</div>
			<div class="mo_boot_p-4 mo_boot_text-center">
				<img src="<?php echo JUri::base();?>/components/com_miniorange_azuresync/assets/images/deploy-quickly.webp" alt="" class="mo_azure_benefits-img">
			</div>
		</div>
  <?php
 }

$azure_sync_active_tab = 'mo_azure_sync_welcome_screen';
$get = JFactory::getApplication()->input->get->getArray();

if(isset($get['tab-panel']) && !empty($get['tab-panel'])){
	$azure_sync_active_tab = $get['tab-panel'];
}
?>


<div class="mo_boot_container-fluid">
    <div class="mo_boot_row mo_boot_p-2 mo_boot_text-center" style="background:#001b4c;border-bottom:2px solid white;">
        <div class="mo_boot_col-sm-5 mo_boot_text-light">
            <h4><?php echo JText::_('COM_MINIORANGE_AZURESYNC_PLUGIN_TITLE');?></h4>
        </div>
        <div class="mo_boot_col-sm-2">
            <a href="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&tab-panel=trial')?>" class="mo_boot_btn mo_boot_px-4 mo_boot_py-1 mo_azure_title_buttons"><?php echo JText::_('COM_MINIORANGE_AZURE_TAB_TRIAL');?></a>
        </div>
        <div class="mo_boot_col-sm-3">
            <a  href="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&tab-panel=mo_azure_license_plan')?>" class="mo_boot_btn mo_azure_title_buttons"><?php echo JText::_('COM_MINIORANGE_AZURE_TAB_LICENSING_PLAN');?></a>
        </div>
        <div class="mo_boot_col-sm-2">
            <a href="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&tab-panel=mo_azure_support')?>" class="mo_boot_btn mo_azure_title_buttons"><?php echo JText::_('COM_MINIORANGE_AZURE_TAB_SUPPORT');?></a>
        </div> 
    </div>

    <div class="mo_boot_row">
        <div class="mo_boot_col-sm-2 mo_boot_azure_sync-row">
            <div class="mo_boot_row">
				<div onclick="mo_show_tab('azure_sync_welcome_screen')" id="mo_azure_sync_welcome_screen" class="mo_boot_col-sm-12 mo_boot_p-3 mo_boot_border-1 mo_boot_azure_sync-tab <?php echo (($azure_sync_active_tab=='mo_azure_sync_welcome_screen')?'mo_boot_azure_sync-tab-active':'');?>"  >
					<strong><?php echo JText::_('COM_MINIORANGE_AZURE_TAB_WELCOME_SCREEN');?></strong>
				</div>
				<div onclick="mo_show_tab('azureconfiguration')" id="mo_azureconfiguration" class="mo_boot_col-sm-12 mo_boot_p-3 mo_boot_border-1 mo_boot_azure_sync-tab <?php echo (($azure_sync_active_tab=='azureconfiguration')?'mo_boot_azure_sync-tab-active':'');?>"  >
                    <strong><?php echo JText::_('COM_MINIORANGE_AZURE_TAB_CONFIGURE_APP');?></strong>
                </div>
                <div onclick="mo_show_tab('azure_profile_sync')" id="mo_azure_profile_sync" class=" mo_boot_col-sm-12 mo_boot_p-3 mo_boot_border-1 mo_boot_azure_sync-tab <?php echo (($azure_sync_active_tab=='mo_azure_profile_sync')?'mo_boot_azure_sync-tab-active':'');?>">
                    <strong><?php echo JText::_('COM_MINIORANGE_AZURE_TAB_USER_SYNCHRONISATION');?></strong>
                </div>
				<div onclick="mo_show_tab('azure_account_setup')" id="mo_azure_account_setup" class="mo_boot_col-sm-12 mo_boot_p-3 mo_boot_border-1 mo_boot_azure_sync-tab <?php echo (($azure_sync_active_tab=='mo_azure_account_setup')?'mo_boot_azure_sync-tab-active':'');?>" >
                    <strong><?php echo JText::_('COM_MINIORANGE_AZURE_TAB_ACCOUNT_SETUP');?></strong>
                </div>
            </div>
        </div>

        <div class="mo_boot_col-sm-10">
            <div class="mo_boot_row">
                <div class="mo_boot_col-sm-12 mo_azure_sync_tab" id="trial" style="<?php echo (($azure_sync_active_tab=='trial')?'display:block;':'display:none;');?>">
                    <?php mo_azure_trial_Request(); ?>
                </div>
            </div>
            
			<div class="mo_boot_row">
                <div class="mo_boot_col-sm-12 mo_azure_sync_tab" id="azure_profile_sync" style="<?php echo (($azure_sync_active_tab=='mo_azure_profile_sync')?'display:block;':'display:none;');?>">
                    <?php mo_azure_profile_sync(); ?>
                </div>
            </div>

            <div class="mo_boot_row">
                <div class="mo_boot_col-sm-12 mo_azure_sync_tab" id="azureconfiguration" style="<?php echo (($azure_sync_active_tab=='azureconfiguration')?'display:block;':'display:none;');?>">
                    <?php mo_azure_sync_configuration(); ?>
                </div>
			</div>
			<div class="mo_boot_row">
		   		<div class="mo_azure_sync_tab" id="azure_sync_welcome_screen" style="<?php echo (($azure_sync_active_tab=='mo_azure_sync_welcome_screen')?'display:block;':'display:none;');?>">
			   		<?php mo_azure_welcome_screen(); ?>
		   		</div>
	   		</div>
			<div class="mo_boot_row">
		   		<div class="mo_boot_col-sm-12 mo_azure_sync_tab" id="azure_account_setup" style="<?php echo (($azure_sync_active_tab=='mo_azure_account_setup')?'display:block;':'display:none;');?>">
			   	<?php mo_azure_account_setup(); ?>
				</div>
		   	</div>
			<div class="mo_boot_row">
		   		<div class="mo_boot_col-sm-12 mo_azure_sync_tab" id="mo_azure_support" style="<?php echo (($azure_sync_active_tab=='mo_azure_support')?'display:block;':'display:none;');?>">
			   	<?php mo_azure_support(); ?>
				</div>
		   	</div>
			<div class="mo_boot_row">
		   		<div class="mo_boot_col-sm-12 mo_azure_sync_tab" id="azure_ad_to_joomla" style="<?php echo (($azure_sync_active_tab=='mo_azure_license_plan')?'display:block;':'display:none;');?>">
			   	<?php mo_azure_licensingplan(); ?>
				</div>
		   	</div>
	   	</div>
    </div>

    </div>
</div>

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>

<?php

function mo_azure_account_setup(){
	?>
	
	<div class="mo_boot_row mo_boot_p-3 mo_azure_white_background">
		<div class="mo_boot_col-sm-12 mo_boot_mt-3">
			<?php 
					
			$customer_details = getCustomerDetails();
			$login_status = $customer_details['login_status'];
			$registration_status = $customer_details['registration_status'];
			if($login_status)
			{  
				mo_azure_login_page();
			}
			else
			{  
				if($registration_status == 'MO_OTP_DELIVERED_SUCCESS' || $registration_status == 'MO_OTP_VALIDATION_FAILURE' || $registration_status == 'MO_OTP_DELIVERED_FAILURE'){
					mo_azure_otp_show_otp_verification();
				}
				else if(! MoAzureUtility::mo_azure_is_customer_registered()) 
				{
					moAzureRegistrationPage();
				}
				else
				{
					mo_azure_account_page();
				}				
			}									
			?>
		</div>
	</div>	
<?php				
}
function mo_azure_login_page() {
	$admin_email = new MoAzureUtility();
	$admin_email = $admin_email->mo_azure_get_details('#__miniorange_azure_customer');
	$admin_email = $admin_email['email'];
	?>

	<form name="f" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzureVerifyCustomer');?>">
		<div class="mo_boot_col-sm-12">
			<div class="mo_boot_mt-2">
				<h3><?php echo JText::_('COM_MINIORANGE_LOGIN_WITH_MINIORANGE');?></h3>
				<hr>
				<?php echo JText::_('COM_MINIORANGE_LOGIN_WITH_MINIORANGE_DETAILS');?>
			</div>
			<div class="mo_boot_col-sm-12 mo_boot_mt-2 mo_boot_py-2">
				<div class="mo_boot_row">
					<div class="mo_boot_col-sm-3">
						<strong><span class="mo_azure_highlight">*</span><?php echo JText::_('COM_MINIORANGE_EMAIL');?></strong>
					</div>
					<div class="mo_boot_col-sm-7">
						<input class="mo_boot_form-control" type="email" name="email" id="email" style="border:solid 1px black;"
						required placeholder="<?php echo JText::_('COM_MINIORANGE_EMAIL_PLACEHOLDER');?>"
						value="<?php echo $admin_email; ?>" />
					</div>
				</div>
				<div class="mo_boot_row mo_boot_mt-2">
					<div class="mo_boot_col-sm-3">
						<strong><span class="mo_azure_highlight">*</span><?php echo JText::_('COM_MINIORANGE_PASSWORD');?></strong>
					</div>
					<div class="mo_boot_col-sm-7">
						<input class="mo_boot_form-control" required type="password" style="border:solid 1px black;"
						name="password" placeholder="<?php echo JText::_('COM_MINIORANGE_LOGIN_PASSWORD_PLACEHOLDER');?>" />
					</div>
				</div>
				<div class="mo_boot_row mo_boot_my-4">
					<div class="mo_boot_col-sm-12 mo_boot_text-center">
						<input type="submit" class="mo_boot_btn mo_azure_blue_buttons" value="<?php echo JText::_('COM_MINIORANGE_LOGIN');?>"/>
						<a onclick="mo_azure_back_to_registration()" class="mo_boot_btn mo_boot_btn-danger" style="color: #fff"><?php echo JText::_('COM_MINIORANGE_BACK_TO_REGISTRATION');?></a>
						<input type="button" onclick='window.open("https://login.xecurify.com/moas/idp/resetpassword")' target="_blank"  class="mo_boot_btn mo_azure_blue_buttons" value="<?php echo JText::_('COM_MINIORANGE_FORGOT_PASSWORD');?>">
					</div>
				</div>
			</div>
		</div>
	</form>

	<form id="mo_azure_cancel_form" class="mo_boot_my-4" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzureCancelForm');?>">
	</form>
	<div class="mo_boot_py-4 mo_boot_my-2">
</div>
	<?php 
}

function mo_azure_otp_show_otp_verification(){
	?>
	<div class="mo_boot_row ">
		<div class="mo_boot_col-sm-12">
			<form name="f" method="post" id="otp_form" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzureValidateOtp');?>">
				<div class="mo_boot_row mo_boot_mt-2">
					<div class="mo_boot_col-sm-12">
						<h3><?php echo JText::_('COM_MINIORANGE_VERIFY_EMAIL');?></h3><hr />
					</div>
					<div class="mo_boot_col-sm-12 mo_boot_mt-2">
						<div class="mo_boot_row">
							<div class="mo_boot_col-sm-3 mo_boot_py-2 mo_boot_my-2">
								<strong style="font-size:15px"><span class="mo_azure_highlight">*</span><?php echo JText::_('COM_MINIORANGE_ENTER_OTP_PLACEHOLDER');?> : </strong>
							</div>
							<div class="mo_boot_col-sm-3 mo_boot_py-1">
								<input class="mo_boot_form-control mo_azure_text_box" autofocus="true" type="text" name="otp_token" required placeholder="<?php echo JText::_('COM_MINIORANGE_ENTER_OTP_PLACEHOLDER');?>" />	
							</div>
						</div>
						<div class="mo_boot_row mo_boot_my-2">
							<div class="mo_boot_col-sm-12 mo_boot_my-2 mo_boot_text-center">
								<input type="submit" value="<?php echo JText::_('COM_MINIORANGE_VALIDATE_OTP');?>" class="mo_boot_btn mo_azure_blue_buttons" />
								<span id="mo_otp_resend_otp_email" onclick="mo_azure_resend_otp_over_email()" class="mo_boot_btn mo_azure_blue_buttons mo_boot_mx-1"><?php echo JText::_('COM_MINIORANGE_RESEND_OTP_OVER_MAIL');?></span>
								<span id="mo_azure_back_btn" onclick="mo_azure_back_btn()" class="mo_boot_btn mo_boot_btn-danger" ><?php echo JText::_('COM_MINIORANGE_BACK');?></span>
							</div>
						</div>
					</div>
				</div>
			</form>	
			<form method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzureCancelForm');?>" id="mo_otp_cancel_form">
			</form>
			<form name="f" id="resend_otp_form" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzureResendOtp');?>">
			</form>
			<form id="phone_verification" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzurePhoneVerification');?>">
				<div class="mo_boot_row mo_boot_mt-2">
					<div class="mo_boot_col-sm-12">
					<?php echo JText::_('COM_MINIORANGE_NO_OTP');?>
					
					</div>
				</div>
				<div class="mo_boot_row mo_boot_my-4">
					<div class="mo_boot_col-sm-7">
						<input class="mo_boot_form-control  mo_azure_text_box" required="true" pattern="[\+]\d{1,3}\d{10}" autofocus="true" type="text" name="phone_number" id="phone_number" placeholder="<?php echo JText::_('COM_MINIORANGE_SUPPORT_PHONE');?>" style="width:100%;"  title="Enter phone number without any space or dashes with country code."/>
					</div>
					<div class="mo_boot_col-sm-4 mo_boot_py-1 mo_boot_text-center">
						<input type="submit" value="<?php echo JText::_('COM_MINIORANGE_SEND_OTP');?>" class="mo_boot_btn mo_azure_blue_buttons" />
					</div>
				</div>	
				
			</form>
		</div>
	</div>
	<?php
}

function moAzureRegistrationPage()
{
	$current_user = JFactory::getUser();
	?>
	<div class="mo_boot_col-sm-12 mo_azure_white_background" id="register_with_miniorange">
		<form name="f" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzureRegisterCustomer');?>">
			
				<div class="mo_boot_col-sm-12 mo_boot_mt-2">
				<h3><?php echo JText::_('COM_MINIORANGE_REGISTER_WITH_MINIORANGE');?></h3>
					
					<hr> 
					<div style="border: 3px solid #accbd7; border-radius:0px; background-color: #d8edf5;" class="mo_boot_py-2 mo_boot_px-2 mo_boot_mx-4 mo_boot_my-4">
						<?php echo JText::_('COM_MINIORANGE_WHY_REGISTER_WITH_MINIORANGE');?>
					</div>
					<p style="color: #fa2727" class="mo_boot_mx-4"> 
					<?php echo JText::_('COM_MINIORANGE_REGISTER_WITH_MINIORANGE_MESSAGE1');?></p><br>
				</div>
				<div class="mo_boot_col-sm-12 mo_boot_mt-2">
					<div class="mo_boot_row">
						<div class="mo_boot_col-sm-3 mo_boot_mx-4">
							<strong><span class="mo_azure_highlight">*</span><?php echo JText::_('COM_MINIORANGE_EMAIL');?></strong>
						</div>
						<div class="mo_boot_col-sm-8">
							<input type="email" name="email"
								required placeholder="<?php echo JText::_('COM_MINIORANGE_EMAIL_PLACEHOLDER');?>" class="mo_boot_form-control mo_azure_text_box"
								value="<?php echo $current_user->email;?>"/>
						</div>
					</div>
					
					<div class="mo_boot_row mo_boot_mt-2">
						<div class="mo_boot_col-sm-3 mo_boot_mx-4">
							<strong><?php echo JText::_('COM_MINIORANGE_PHONE_NUMBER');?></strong>
						</div>
						<div class="mo_boot_col-sm-8">
							<input  type="tel" id="phone"
								pattern="[\+]\d{11,14}|[\+]\d{1,4}([\s]{0,1})(\d{0}|\d{9,10})" name="phone"
								title="Phone with country code eg. +1xxxxxxxxxx" class="mo_boot_form-control mo_azure_text_box"
								placeholder="<?php echo JText::_('COM_MINIORANGE_PHONE_PLACEHOLDER');?>"
								/><br />
								<em><?php echo JText::_('COM_MINIORANGE_PHONE_SUPPORT');?></em><br>
						</div>
					</div>
					<div class="mo_boot_row mo_boot_mt-2">
						<div class="mo_boot_col-sm-3 mo_boot_mx-4">
							<strong><span class="mo_azure_highlight">*</span><?php echo JText::_('COM_MINIORANGE_PASSWORD');?></strong>
						</div>
						<div class="mo_boot_col-sm-8">
							<input  required type="password" class="mo_boot_form-control mo_azure_text_box"
								name="password" placeholder="<?php echo JText::_('COM_MINIORANGE_PASSWORD_PLACEHOLDER');?>" />
						</div>
					</div>
					<div class="mo_boot_row mo_boot_mt-2">
						<div class="mo_boot_col-sm-3 mo_boot_mx-4">
							<strong><span class="mo_azure_highlight">*</span><?php echo JText::_('COM_MINIORANGE_CONFIRM_PASSWORD');?></strong>
						</div>
						<div class="mo_boot_col-sm-8">
							<input required type="password" class="mo_boot_form-control mo_azure_text_box"
								name="confirmPassword" placeholder="<?php echo JText::_('COM_MINIORANGE_CONFIRM_PASSWORD_PLACEHOLDER');?>" />
						</div>
					</div>
					<div class="mo_boot_row mo_boot_my-2 mo_boot_text-center">
						<div class="mo_boot_col-sm-12 mo_boot_my-1">
							<em><input type="submit" value="<?php echo JText::_('COM_MINIORANGE_REGISTER');?>" class="mo_boot_btn mo_azure_blue_buttons" /></em>
							<a onclick="mo_azure_account_exist()" class='mo_boot_btn mo_azure_blue_buttons' style="color: #fff;" ><?php echo JText::_('COM_MINIORANGE_LOGIN');?></a>	
						</div>
					</div>
				</div>
		</form>
		</div>
		
        <form name="f" id="azure_account_already_exist" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzureCustomerLoginForm'); ?> ">
        </form> 
	<?php 
}

function mo_azure_account_page() {	
	$result = new MoAzureUtility();
	$result = $result->mo_azure_get_details('#__miniorange_azure_customer');
	$email = $result['email'];
	$customer_key = $result['customer_key'];
	$api_key = $result['api_key'];
	$customer_token = $result['customer_token'];
	$isSystemEnabled = JPluginHelper::isEnabled('system','');

	$moPluginVersion = MoAzureUtility::mo_azure_get_plugin_version();
	$j_version = new JVersion;
	$jcms_version = $j_version->getShortVersion();
	$php_version = phpversion();
	if(!$isSystemEnabled)
	{ 
		?>
		<div id="system-message-container">
			<button type="button" class="close" data-dismiss="alert">×</button>
			<div class="alert alert-error">
				<h4 class="alert-heading"><?php echo JText::_('COM_MINIORANGE_WARNING');?></h4>
					<div class="alert-message">		
					<?php echo JText::_('COM_MINIORANGE_ACTIVATE_SYSTEM_EXTENSION');?>	
					</div>
				</h4>
			</div>
		</div>
		<?php 
	}?>
	<div class="mo_boot_col-sm-12">
		<div class="mo_boot_mt-2">
			<h4 class="mo_azure_successful_login"><?php echo JText::_('COM_MINIORANGE_SUCCESSFUL_LOGIN');?></h4>
			<h3 class="mo_boot_text-center mo_boot_my-4"><?php echo JText::_('COM_MINIORANGE_PROFILE');?><hr></h3>
		</div>
		<div class="mo_boot_col-sm-12 mo_boot_mt-2 mo_boot_table-responsive">
			<table class="mo_boot_table mo_boot_table-striped mo_boot_table-hover mo_boot_table-bordered">
				<tr>
					<td ><strong><?php echo JText::_('COM_MINIORANGE_USERNAME_EMAIL');?></strong></td>
					<td ><?php echo $email?></td>
				</tr>
				<tr>
					<td ><strong><?php echo JText::_('COM_MINIORANGE_CUSTOMERID');?></strong></td>
					<td ><?php echo $customer_key?></td>
				</tr>
				<tr>
					<td ><strong><?php echo JText::_('COM_MINIORANGE_PLUGIN_VERSION');?></strong></td>
					<td ><?php echo $moPluginVersion?></td>
				</tr>
				<tr>
					<td ><strong><?php echo JText::_('COM_MINIORANGE_JOOMLA_VERSION');?></strong></td>
					<td ><?php echo $jcms_version?></td>
				</tr>
				<tr>
					<td ><strong><?php echo JText::_('COM_MINIORANGE_PHP_VERSION');?></strong></td>
					<td ><?php echo $php_version?></td>
				</tr>
			</table>
		</div>
	<div class="mo_boot_col-sm-12 mo_boot_mt-2">
		<form name="f" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzureLogout');?>">
			<div class="mo_boot_row">
				<div class="mo_boot_col-sm-12 mo_boot_text-center">
        			<input type="submit" class="mo_boot_btn mo_boot_btn-danger" value="<?php echo JText::_('COM_MINIORANGE_LOGOUT');?>" id="mo_azure-logout" />
				</div>	
			</div>
		</form>
    
		</div>
	
	</div>
	<?php
}

function mo_azure_support(){
	global $license_tab_link;

	$current_user = JFactory::getUser();
	$customer_details = MoAzureUtility::mo_azure_get_details('#__miniorange_azure_customer');
	$admin_email = isset($customer_details['email']) ? $customer_details['email'] : '';
    if ($admin_email == '') $admin_email = $current_user->email;
	$admin_phone = $customer_details['admin_phone'];
	$strJsonFileContents = file_get_contents(__DIR__.'/../../../assets/json/timezones.json'); 
	$timezoneJsonArray = json_decode($strJsonFileContents, true);
?>

	<div class="mo_boot_row mo_boot_p-3 mo_azure_white_background">
		<div class="mo_boot_col-sm-12 mo_boot_mt-3">
        	<div class="mo_boot_col-sm-12 mo_boot_mt-4">
            	<h3><?php echo JText::_('COM_MINIORANGE_SUPPORT_FEATURES');?></h3>
            	<hr>
        	</div>
			<div class="mo_boot_col-sm-12 mo_boot_mt-2">
				<details class="mo_azure_detail_tag_styles" open>
					<summary class="mo_azure_summary_tag_styles"><?php echo JText::_('COM_MINIORANGE_SUPPORT');?></summary><hr>
					<form name="mo_azure_contact_us" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzureContactUs');?>">
						<div class="mo_boot_col-sm-12">
							<p style="border: 3px solid #accbd7;border-radius: 0px;background-color: #d8edf5;padding:5px"><?php echo JText::_('COM_MINIORANGE_HELP');?></p>
							<br>
						</div>
						<div class="mo_boot_col-sm-12">
							<div class="mo_boot_row mo_boot_mt-2">
								<div class="mo_boot_col-sm-3 mo_boot_offset-1">
									<strong><?php echo JText::_('COM_MINIORANGE_EMAIL');?>:<span style="color: red;">*</span></strong>
								</div>
								<div class="mo_boot_col-sm-6">
									<input type="email" class="mo_boot_form-control mo_azure_text_box" id="mo_azure_query_email" name="mo_azure_query_email" value="<?php echo $admin_email; ?>" placeholder="<?php echo JText::_('COM_MINIORANGE_SUPPORT_EMAIL');?>" required />	
								</div>
							</div>
							<div class="mo_boot_row mo_boot_mt-2">
								<div class="mo_boot_col-sm-3 mo_boot_offset-1"> <strong><?php echo JText::_('COM_MINIORANGE_PHONE_NUMBER');?></strong></div>
								<div class="mo_boot_col-sm-6">
									<input type="number" class="mo_boot_form-control mo_azure_text_box" name="mo_azure_query_phone" id="mo_azure_query_phone" value="<?php echo $admin_phone; ?>" placeholder="<?php echo JText::_('COM_MINIORANGE_SUPPORT_PHONE');?>"/>
								</div>
							</div>
							<div class="mo_boot_row mo_boot_mt-2">
								<div class="mo_boot_col-sm-3 mo_boot_offset-1"><strong><?php echo JText::_('COM_MINIORANGE_QUERY');?>:</strong><span style="color: red;">*</span></div>
								<div class="mo_boot_col-sm-6">
									<textarea id="mo_azure_query" class = "mo_boot_px-3 mo_azure_text_box mo_azure_query" name="mo_azure_query" cols="52" rows="6"  placeholder="<?php echo JText::_('COM_MINIORANGE_SUPPORT_QUERY');?>" required></textarea>
								</div>
							</div>
							<div class="mo_boot_row mo_boot_my-4 mo_boot_text-center">
								<div class="mo_boot_col-sm-12">
									<input type="submit" name="send_query"  value="<?php echo JText::_('COM_MINIORANGE_SUBMIT_QUERY');?>" class="mo_boot_btn mo_azure_blue_buttons"/>
								</div>
							</div>
						</div>
					</form>
					<br/>              
				</details>
			</div>	

			<details class="mo_azure_detail_tag_styles">
            <summary class="mo_azure_summary_tag_styles"><?php echo JText::_('COM_MINIORANGE_SETUP_MEETING');?></summary>
            <hr>
               
			<form name="f" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzureCallContactUs'); ?>">
            	<div class="mo_boot_row mo_boot_mt-2" id="mo_setup_call_layout" >
                	<div class="mo_boot_col-sm-12">
                		<div class="mo_boot_col-sm-12">
                                <p style="border: 3px solid #accbd7; border-radius:0px; background-color: #d8edf5;padding:5px"><?php echo JText::_('COM_MINIORANGE_HELP');?></p>
                                <br>
                            </div>
                    	<div class="mo_boot_row">
                        	<div class="mo_boot_col-sm-3 mo_boot_offset-1">
                            	<strong><?php echo JText::_('COM_MINIORANGE_EMAIL');?>:<span class="mo_azure_highlight">*</span></td></strong>
                        	</div>
                        	<div class="mo_boot_col-sm-7">
                            	<input class="mo_boot_form-control mo_azure_text_box" style="width:90%" type="email" placeholder="user@example.com" name="mo_azure_setup_call_email" value="<?php echo $admin_email; ?>"  required>
                        	</div>
                    	</div>
                    	<div class="mo_boot_row">
                        	<div class="mo_boot_col-sm-3 mo_boot_offset-1"><br>
                            	<strong><?php echo JText::_('COM_MINIORANGE_ISSUE');?>:<span class="mo_azure_highlight">*</span></strong>
                        	</div>
            	        	<div class="mo_boot_col-sm-7" ><br>
                	        	<select class="mo_boot_form-control mo_azure_text_box" id="mo_azure_setup_call_issue"name="mo_azure_setup_call_issue" style="width:90%" required>
                    	        	<option disabled selected value=""><?php echo JText::_('COM_MINIORANGE_SELECT_ISSUE_TYPE');?></option>
                        	    	<option value="Azure AD Setup Issue"><?php echo JText::_('COM_MINIORANGE_SSO_SETUP_ISSUE');?></option>
                            		<option value="Configuration Issues"><?php echo JText::_('COM_MINIORANGE_CONFIGURATION_ISSUES');?></option>
									<option value="Usecase Discussion"><?php echo JText::_('COM_MINIORANGE_USECASE_DISCUSSION');?></option>
                            		<option value="Other"><?php echo JText::_('COM_MINIORANGE_OTHER');?></option>
                        		</select>
							</div>
                    	</div>
                    	<div class="mo_boot_row">
                        	<div class="mo_boot_col-sm-3 mo_boot_offset-1"><br>
                            	<strong><?php echo JText::_('COM_MINIORANGE_QUERY');?>:<span class="mo_azure_highlight">*</span></strong>
                        	</div>
                        	<div class="mo_boot_col-sm-7"><br>
                            	<textarea style="width:90%;"class="mo_boot_form-text-control mo_azure_text_box mo_boot_px-3 mo_azure_query" name="mo_azure_setup_call_desc" minlength="15" placeholder="<?php echo JText::_('COM_MINIORANGE_QUERY_PLACEHOLDER');?>" rows="5" required></textarea>
                        	</div>
                    	</div>
                    	<div class="mo_boot_row">
                        	<div class="mo_boot_col-sm-3 mo_boot_offset-1"><br>
                            	<strong><?php echo JText::_('COM_MINIORANGE_DATE');?>:<span class="mo_azure_highlight">*</span></strong>
                        	</div>
                        	<div class="mo_boot_col-sm-7"><br>
                            	<input class="mo_boot_form-control mo_azure_text_box" style="width:90%" id="mo_azure_setup_call_date" name="mo_azure_setup_call_date" type="date" required>
                        	</div>
                    	</div>
                    	<div class="mo_boot_row">
                        	<div class="mo_boot_col-sm-3 mo_boot_offset-1"><br>
                            	<strong><?php echo JText::_('COM_MINIORANGE_TIMEZONE');?>:<span class="mo_azure_highlight">*</span></strong>
                        	</div>
                        	<div class="mo_boot_col-sm-7"><br>
								<input list="mo_azure_time_zone_id" name="mo_azure_setup_call_timezone" placeholder="Select the timezone" class="mo_azure_text_box mo_boot_form-control mo_azure_query" style="width:90%; height:70%" required>
                            	<datalist class="mo_boot_form-control mo_azure_text_box"  id="mo_azure_time_zone_id" style="width:90%" name="mo_azure_setup_call_timezone" required hidden>
									<?php
                                        foreach($timezoneJsonArray as $data)
                                        {
                                            echo "<option  data-tokens='".$data."'value ='".$data."'></option>";
                                        }
                                    ?>
                            	</datalist>
                        	</div> 
                   	 	</div>
							
                    	<div class="mo_boot_row mo_boot_text-center mo_boot_mt-3">
                        	<div class="mo_boot_col-sm-12">
                            	<input type="submit" name="mo_azure_send_query" value="<?php echo JText::_('COM_MINIORANGE_SUBMIT_QUERY');?>" class="mo_boot_my-4 mo_boot_btn mo_azure_blue_buttons">
                        	</div>
                    	</div>
                	</div>
            	</div>                
        	</form>
        </details>
		<script>
		jQuery(function(){
                var dtToday = new Date();
                var month = dtToday.getMonth() + 1;
                var day = dtToday.getDate();
                var year = dtToday.getFullYear();
                if(month < 10)
                    month = '0' + month.toString();
                if(day < 10)
                    day = '0' + day.toString();
                var maxDate = year + '-' + month + '-' + day;
                jQuery('#mo_azure_setup_call_date').attr('min', maxDate);
            });
		</script>
		</div>
	</div>	
<?php
}
//TRIAL AND SUPPORT TAB
function  mo_azure_trial_Request(){
	global $license_tab_link;

	$current_user = JFactory::getUser();
	$customer_details = MoAzureUtility::mo_azure_get_details('#__miniorange_azure_customer');
	$admin_email = isset($customer_details['email']) ? $customer_details['email'] : '';
    if ($admin_email == '') $admin_email = $current_user->email;
	$admin_phone = $customer_details['admin_phone'];
	$strJsonFileContents = file_get_contents(__DIR__.'/../../../assets/json/timezones.json'); 
	$timezoneJsonArray = json_decode($strJsonFileContents, true);

    ?>
    <div class="mo_boot_row mo_boot_p-3 mo_azure_white_background">
	<div class="mo_boot_col-sm-12 mo_boot_mt-1">
		<div class="mo_boot_col-sm-12 mo_boot_mt-2">
           	<h3><?php echo JText::_('COM_MINIORANGE_TRIAL_REQUEST');?></h3><hr>
        </div>
        <details class="mo_azure_detail_tag_styles" open>
            <summary class="mo_azure_summary_tag_styles"><?php echo JText::_('COM_MINIORANGE_REQUEST_TRIAL');?></summary>
			<hr>
			<form name="mo_azure_request_trial_demo" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzureRequestForDemo');?>">
				<div class="mo_boot_row mo_boot_p-3">
        			<div class="mo_boot_col-sm-12 mo_boot_py-2" style="border: 3px solid #accbd7; border-radius:0px; background-color: #d8edf5;">
						<?php echo JText::_('COM_MINIORANGE_REQUEST_TRIAL_INFORMATION');?>
        			</div>
                       
					<div class="mo_boot_col-sm-12">
                        <div class="mo_boot_row mo_boot_mt-2 mo_boot_my-3">
							<p class="mo_boot_col-sm-3 mo_boot_offset-1">
                           		<strong><?php echo JText::_('COM_MINIORANGE_EMAIL');?><span class="mo_azure_highlight">*</span> </strong>
                        	</p>
                        	<input type="email" class="mo_boot_col-sm-6 mo_boot_form-control mo_azure_text_box" name="mo_azure_trial_email" value="<?php echo $admin_email; ?>" placeholder="person@example.com" required />
                        </div>
                                
						<div class="mo_boot_row mo_boot_mt-2 mo_boot_my-3">
							<div class="mo_boot_col-sm-3 mo_boot_offset-1">
                         		<p> <strong><?php echo JText::_('COM_MINIORANGE_REQUEST_FOR');?></strong></p>
                        	</div>
                        	<div class="mo_boot_col-sm-3">
                            	<label><input type="radio" name="mo_azure_demo" class="mo_boot_mx-2" value="Trial of 7 days" CHECKED><?php echo JText::_('COM_MINIORANGE_TRIAL');?></label>
                        	</div>
                        	<div class="mo_boot_col-sm-3">
                           		<label><input type="radio" name="mo_azure_demo" class="mo_boot_mx-2"  value="Demo" ><?php echo JText::_('COM_MINIORANGE_DEMO');?></label>
                       	 	</div>
                        </div>
						
						<div class="mo_boot_row mo_boot_mt-2 mo_boot_my-3">
							<p class="mo_boot_col-sm-3 mo_boot_offset-1"><strong><?php echo JText::_('COM_MINIORANGE_DESCRIPTION');?><span class="mo_azure_highlight">*</span> </strong></p>
							<textarea  name="mo_azure_trial_description" class="mo_boot_form-text-control mo_boot_col-sm-6 mo_azure_query" style="border-radius:4px;resize: vertical;width:100%; border: 1px solid #868383 !important;" cols="52" rows="7" 
								required placeholder="<?php echo JText::_('COM_MINIORANGE_DESCRIPTION_PLACEHOLDER');?>"></textarea>
						</div>
                            
						<div class="mo_boot_row mo_boot_my-4 mo_boot_text-center ">
                            <div class="mo_boot_col-sm-12">
								<input  type="submit" name="mo_azure_submit" value="<?php echo JText::_('COM_MINIORANGE_SUBMIT');?>" class="mo_boot_btn mo_azure_blue_buttons"/>
                            </div>
                        </div>
                    </div>
				</div>
			</form>   
    	</details>
        
        </div>
		</div>
<?php
}

function mo_azure_profile_sync(){
?>
<div class="mo_boot_row" style="background-color:#fff">
	
	<div class="mo_boot_d-flex mo_boot_justify-content-center" style="background-color:#fff">
	  	<div class="mo_azure_benefits-content mo_boot_text-center">
			<p class="mo_boot_mx-4 mo_boot_py-4 mo_boot_my-4 mo_boot_px-4">
				<?php echo JText::_('COM_MINIORANGE_AZURE_SYNC_TYPE'); ?>
			</p>
  			<div class="mo_boot_mx-4 mo_boot_text-center mo_boot_my-4 " style="margin-left:100px">
				<div class="mo_azure_switch_sync_way__container">
       				<div id="mo_azure_to_joomla_sync_option" class="mo_azure_switch_sync_way__leftblock" onclick="mo_azure_show_azure_to_joomla()" style="background-color: #BBDEFB">
           				<span class="mo_azure_sync_type_details"><?php echo JText::_('COM_MINIORANGE_AZURE_AD');?> <img width="30px" style="margin:10px" height="30px" src="<?php echo JUri::base();?>/components/com_miniorange_azuresync/assets/images/arrow.png"> <?php echo JText::_('COM_MINIORANGE_JOOMLA');?></span>
       				</div>
       				<div id="mo_azure_joomla_to_azure_sync_option" class="mo_azure_switch_sync_way__rightblock" onclick="mo_azure_show_joomla_to_azure()">
           				<span class="mo_azure_sync_type_details"><?php echo JText::_('COM_MINIORANGE_AZURE_AD');?> <img width="30px" style="transform:rotate(180deg); margin:10px" height="30px" src="<?php echo JUri::base();?>/components/com_miniorange_azuresync/assets/images/arrow.png"><?php echo JText::_('COM_MINIORANGE_JOOMLA');?></span>
       				</div>
    			</div>
 			</div>		  
		</div>
		<div class="mo_boot_p-4 mo_boot_text-center">
			<img src="<?php echo JUri::base();?>/components/com_miniorange_azuresync/assets/images/strong-authentication.webp" alt="" class="mo_azure_benefits-img">
		</div>
	</div>
	
	<div id= "mo_azure_to_joomla_sync" class="mo_boot_col-sm-12">
		<?php
		 mo_azure_ad_to_joomla();?>
	</div>

	<div id="mo_azure_joomla_to_azure_sync" class="mo_boot_col-sm-12" style="display:none">
		<?php 
		mo_azure_joomla_to_azure_ad(); ?>
	</div>
</div>
<?php
}

function mo_azure_joomla_to_azure_ad(){
	
	$db = JFactory::getDbo();
	$query = $db->getQuery(true);
	$query->select('*');
	$query->from($db->quoteName('#__users'));
	$db->setQuery($query);
	$joomla_users = $db->loadAssocList();
	?>

	<div class="mo_boot_row mo_boot_mx-2" style="background:white; border-radius:5px">
    	<div class="mo_boot_col-sm-12 mo_boot_mt-3">
			<div class="mo_boot_col-sm-12 ">
				<h3 class="mo_boot_mx-2"><?php echo JText::_('COM_MINIORANGE_JOOMLA_TO_AZURE_SYNC');?></h3>
			</div>
			<hr>
			
			<details class="mo_azure_detail_tag_styles" open>
        		<summary class="mo_azure_summary_tag_styles">1 : <?php echo JText::_('COM_MINIORANGE_JOOMLA_TO_AZURE_SYNC_MANUAL_PROVISIONING');?></summary>
				<p class="mo_boot_mx-4"><em><?php echo JText::_('COM_MINIORANGE_JOOMLA_TO_AZURE_SYNC_MANUAL_PROVISIONING_DESCRIPTION');?></em></p>
				<form method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzureCreateUserInAd');?>">
					<h5 class="mo_boot_my-4 mo_boot_mx-4"><em><?php echo JText::_('COM_MINIORANGE_JOOMLA_TO_AZURE_SYNC_CREATE_INDIVIDUAL_USER');?></em></h5>
					<div class="mo_boot_row mo_boot_my-2 mo_boot_mx-4">
						<div class="mo_boot_col-sm-7">
							<input list="mo_azure_create_username" name="mo_ad_sync_username" placeholder="<?php echo JText::_('COM_MINIORANGE_JOOMLA_TO_AZURE_SYNC_CREATE_INDIVIDUAL_USER_PLACEHOLDER');?>" class="mo_azure_text_box mo_boot_form-control mo_azure_query" required>	
							<datalist class="mo_boot_form-control mo_azure_text_box" style="width:90%" id="mo_azure_create_username" name="mo_ad_sync_username" required hidden>
									<?php
                                        foreach($joomla_users as $users)
                                        {
											echo "<option  data-tokens='".$users['username']."'value ='".$users['username']."'></option>";
                                        }
                                    ?>
                            	</datalist>
						</div>
						<div class="mo_boot_col-sm-3">
							<input type="submit" class="mo_boot_btn mo_azure_blue_buttons" value="<?php echo JText::_('COM_MINIORANGE_JOOMLA_TO_AZURE_SYNC_CREATE_USER');?>">
						</div>
					</div>
				</form>	
			</details>


			<details class="mo_azure_detail_tag_styles" open>
        		<summary class="mo_azure_summary_tag_styles" >2 : <?php echo JText::_('COM_MINIORANGE_JOOMLA_TO_AZURE_SYNC_DELETE_USER');?></summary>
				<p class="mo_boot_mx-4"><em><?php echo JText::_('COM_MINIORANGE_JOOMLA_TO_AZURE_SYNC_DELETE_USER_DESCRIPTION');?></em></p>
				<form method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzureDeleteUserInAd');?>">
					<div class="mo_boot_row mo_boot_my-2 mo_boot_mx-4">
						<div class="mo_boot_col-sm-7">
							<input type="text" id="ad_sync_delete_username" name="ad_sync_delete_username" class="mo_boot_form-control mo_azure_server_details" placeholder="<?php echo JText::_('COM_MINIORANGE_JOOMLA_TO_AZURE_SYNC_DELETE_USER_PLACEHOLDER');?>">
						</div>
						<div class="mo_boot_col-sm-3">
							<input type="submit" class="mo_boot_btn mo_azure_blue_buttons" value="<?php echo JText::_('COM_MINIORANGE_JOOMLA_TO_AZURE_SYNC_DELETE_USER');?>">
						</div>
					</div>
				</form>	
			</details>
		</div>
	</div>	
<?php 	
}

function mo_azure_sync_configuration() {
   ?>
<div class="mo_boot_row" style="background:white; border-radius:5px">
    <div class="mo_boot_col-sm-12 mo_boot_mt-3">
		<?php 
			$mo_azure_application_attributes = MoAzureUtility::mo_azure_get_details('#__miniorange_azure_sync_config');
			$mo_azure_application_id = isset($mo_azure_application_attributes['mo_azure_sync_application_id'])? $mo_azure_application_attributes['mo_azure_sync_application_id']: "";
			$mo_azure_client_secret = isset($mo_azure_application_attributes['mo_azure_sync_client_secret'])? $mo_azure_application_attributes['mo_azure_sync_client_secret']: "";
			$mo_azure_tenant_id = isset($mo_azure_application_attributes['mo_azure_tenant_id'])? $mo_azure_application_attributes['mo_azure_tenant_id']: "";
			$mo_azure_test_upn = isset($mo_azure_application_attributes['mo_azure_sync_upn'])? $mo_azure_application_attributes['mo_azure_sync_upn']: "";
			$mo_azure_tenant_name = isset($mo_azure_application_attributes['mo_azure_tenant_name'])? $mo_azure_application_attributes['mo_azure_tenant_name']: "";
			$mo_azure_redirect_url = JURI::root();
    	?>

		<div class="mo_boot_col-sm-12">
       		<h3 class="mo_boot_mx-3"><?php echo JText::_('COM_MINIORANGE_CONFIGURE_AZURE');?></h3>
		</div>
		<hr>
		<div class="mo_boot_mt-3 mo_boot_px-4 mo_boot_py-2" >
			<details style=";padding:5px;border:none!important;" open>
       			<summary class="mo_azure_summary_tag_styles">Step 1 : <?php echo JText::_('COM_MINIORANGE_CONFIGURE_AZURE_MAPPING');?></summary>
    			<form method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzureSyncSaveConfig'); ?>">
					<div class="mo_boot_row mo_boot_mt-2 mo_boot_my-4">
						<div class="mo_boot_col-sm-3">
							<strong><?php echo JText::_('COM_MINIORANGE_APPLICATION_ID');?></strong>
						</div>
						<div class="mo_boot_col-sm-7">
							<input class="mo_boot_form-control mo_azure_server_details" id = "mo_azure_application_id" name = "mo_azure_application_id" type="text" placeholder = "<?php echo JText::_('COM_MINIORANGE_APPLICATION_ID_PLACEHOLDER');?>" value ='<?php echo $mo_azure_application_id; ?>' required>
						</div>
					</div>		
	
					<div class="mo_boot_row mo_boot_mt-2">
						<div class="mo_boot_col-sm-3">
							<strong><?php echo JText::_('COM_MINIORANGE_CLIENT_SECRET');?></strong>
						</div>
						<div class="mo_boot_col-sm-7">
							<input class="mo_boot_form-control mo_azure_server_details" id="mo_azure_client_secret" name="mo_azure_client_secret" placeholder="<?php echo JText::_('COM_MINIORANGE_CLIENT_SECRET_PLACEHOLDER');?>" type="text"  value='<?php echo $mo_azure_client_secret;?>' required>
						</div>
					</div>

					<div class="mo_boot_row mo_boot_mt-2 mo_boot_my-4">
						<div class="mo_boot_col-sm-3">
							<strong><?php echo JText::_('COM_MINIORANGE_REDIRECT_URI');?></strong>
						</div>
						<div class="mo_boot_col-sm-7">
							<input class="mo_boot_form-control mo_azure_server_details" id="mo_azure_redirect_uri" name="mo_azure_redirect_uri" type="text" readonly="true"  value='<?php echo $mo_azure_redirect_url;?>' required>
						</div>	
						<div class="mo_boot_col-sm-1">
                       		<em class="fa fa-pull-right fa-lg fa-copy mo_copy copytooltip" onclick="copyToClipboard('#mo_azure_redirect_uri');" style="color:red;background:#ccc;"> 
							   <span class="copytooltiptext">Copied!</span>
							</em>
                   		</div>
					</div>

					<div class="mo_boot_row mo_boot_mt-2 mo_boot_my-4">
						<div class="mo_boot_col-sm-3">
							<strong><?php echo JText::_('COM_MINIORANGE_TENANT_ID');?></strong>
						</div>
						<div class="mo_boot_col-sm-7">
							<input class="mo_boot_form-control mo_azure_server_details" id="mo_azure_tenant_id" name="mo_azure_tenant_id" placeholder ='<?php echo JText::_('COM_MINIORANGE_TENANT_ID_PLACEHOLDER');?>' type="text"  value='<?php echo $mo_azure_tenant_id;?>' required>
						</div>
					</div>

					<div class="mo_boot_row mo_boot_mt-2 mo_boot_my-4">
						<div class="mo_boot_col-sm-3">
							<strong><?php echo JText::_('COM_MINIORANGE_TENANT_NAME');?></strong>
						</div>
						<div class="mo_boot_col-sm-7">
							<input class="mo_boot_form-control mo_azure_server_details" id="mo_azure_tenant_name" name="mo_azure_tenant_name" placeholder ='<?php echo JText::_('COM_MINIORANGE_TENANT_NAME_PLACEHOLDER');?>' type="text"  value='<?php echo $mo_azure_tenant_name;?>' required>
						</div>
					</div>
				
					<div class="mo_boot_row mo_boot_mt-2 mo_boot_my-4" >
						<div class="mo_boot_col-sm-3">
							<strong><?php echo JText::_('COM_MINIORANGE_TEST_UPN_ID');?></strong>
						</div>
						<div class="mo_boot_col-sm-7">
							<input class="mo_boot_form-control mo_azure_server_details" id="mo_azure_test_upn" name="mo_azure_test_upn" placeholder ='person@aaa.com' type="text"  value='<?php echo $mo_azure_test_upn; ?>' >
						</div>
					</div>

					<div class="mo_boot_row mo_boot_my-3 mo_boot_text-center">
						<div class="mo_boot_col-sm-12">
							<input type="submit" value="Save Configuration" class="mo_boot_btn mo_azure_blue_buttons">
							<input type="button" value="<?php echo JText::_('COM_MINIORANGE_TEST_CONNECTION');?>" onclick ="mo_azure_test_configuration()" class="mo_boot_btn mo_azure_blue_buttons">
						</div>
					</div>
				</form>
			</details>
		</div>
	</div>
</div>
  
<?php
    }
?>

<?php

function mo_azure_ad_to_joomla(){
	$mo_azure_application_attributes = MoAzureUtility::mo_azure_get_details('#__miniorange_azure_sync_config');
	$mo_azure_name = isset($mo_azure_application_attributes['mo_azure_name'])? $mo_azure_application_attributes['mo_azure_name']: "";
	$mo_azure_username = isset($mo_azure_application_attributes['mo_azure_username'])? $mo_azure_application_attributes['mo_azure_username']: "";
	$mo_azure_email = isset($mo_azure_application_attributes['mo_azure_email'])? $mo_azure_application_attributes['mo_azure_email']: "";
	$mo_azure_user_attributes = isset($mo_azure_application_attributes['mo_azure_test_attributes'])? explode(",", $mo_azure_application_attributes['mo_azure_test_attributes']): "";

	?>
	
	<div class="mo_boot_row mo_boot_mx-2" style="background:white; border-radius:5px">
    <div class="mo_boot_col-sm-12 mo_boot_mt-3">
		<div class="mo_boot_col-sm-12 ">
			<h3 class="mo_boot_mx-2"><?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_SYNC');?></h3>
		</div>
		<hr>

		<details class="mo_azure_detail_tag_styles" open>
        	<summary class="mo_azure_summary_tag_styles">1 : <?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_ATTRIBUTE_MAPPING');?></summary>
			<form method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzureSyncAttributeConfig');?>">
				<p class="mo_boot_mx-4"><em><?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_ATTRIBUTE_MAPPING_DESCRIPTION');?></em></p>
				<div class="mo_boot_row mo_boot_my-2 mo_boot_mx-4">
					<div class="mo_boot_col-sm-4">
						<h5 class="mo_boot_my-4 mo_boot_mx-4"><em><?php echo JText::_('COM_MINIORANGE_AZURE_JOOMLA_NAME');?></em></h5>
					</div>
					<div class="mo_boot_col-sm-4">
						<h5 class="mo_boot_my-4 mo_boot_mx-4"><em><?php echo JText::_('COM_MINIORANGE_AZURE_ATTRIBUTE_NAME');?></em></h5>
					</div>
				</div>
				<div class="mo_boot_row mo_boot_my-2 mo_boot_mx-4">
					
					<div class="mo_boot_col-sm-4">
						<p class="mo_boot_mx-4"><strong><?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_ATTRIBUTE_MAPPING_NAME');?></strong></p>
					</div>
					<div class="mo_boot_col-sm-5">
						<select id="mo_azure_joomla_name" name="mo_azure_joomla_name" required class="mo_azure_text_box mo_boot_form-control mo_azure_query" >
                            <option value="none" selected><?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_ATTRIBUTE_MAPPING_NAME_PLACEHOLDER');?></option>
                            <?php
                                foreach($mo_azure_user_attributes as $key => $value)
                                {
                                    if($value == $mo_azure_name)
                                    {
                                        $checked = "selected";
                                    }
                                    else
                                    {
                                        $checked = "";
                                    }
                                    if($value!="")
                                        echo"<option ".$checked." value='".$value."'>".$value."</option>";
                                    }
                            ?>
                        </select>
					</div>
				</div>
				<div class="mo_boot_row mo_boot_my-2 mo_boot_mx-4">
					<div class="mo_boot_col-sm-4">
						<p class="mo_boot_mx-4"><strong><?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_ATTRIBUTE_MAPPING_USERNAME');?></strong></p>
					</div>
					<div class="mo_boot_col-sm-5">
						<select id="mo_azure_joomla_username" name="mo_azure_joomla_username" required class="mo_azure_text_box mo_boot_form-control mo_azure_query" >
                            <option value="none" selected><?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_ATTRIBUTE_MAPPING_USERNAME_PLACEHOLDER');?></option>
                            <?php
                                foreach($mo_azure_user_attributes as $key => $value)
                                {
                                    if($value == $mo_azure_username)
                                    {
                                        $checked = "selected";
                                    }
                                    else
                                    {
                                        $checked = "";
                                    }
                                    if($value!="")
                                        echo"<option ".$checked." value='".$value."'>".$value."</option>";
                                    }
                            ?>
                        </select>
					</div>
				</div>
				<div class="mo_boot_row mo_boot_my-2 mo_boot_mx-4">
					<div class="mo_boot_col-sm-4">
						<p class="mo_boot_mx-4"><strong><?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_ATTRIBUTE_MAPPING_EMAIL');?></strong></p>
					</div>
					<div class="mo_boot_col-sm-5">
						<select id="mo_azure_joomla_email" name="mo_azure_joomla_email" required class="mo_azure_text_box mo_boot_form-control mo_azure_query" >
                            <option value="none" selected><?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_ATTRIBUTE_MAPPING_EMAIL_PLACEHOLDER');?></option>
                            <?php
                                foreach($mo_azure_user_attributes as $key => $value)
                                {
                                    if($value == $mo_azure_email)
                                    {
                                        $checked = "selected";
                                    }
                                    else
                                    {
                                        $checked = "";
                                    }
                                    if($value!="")
                                        echo"<option ".$checked." value='".$value."'>".$value."</option>";
                                    }
                            ?>
                        </select>
					</div>
				</div>
				<div class="mo_boot_my-4 mo_boot_text-center">
					<input type="submit" class="mo_boot_btn mo_azure_blue_buttons" value="<?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_SAVE');?>" >
				</div>
			</form>
		</details>

		<details class="mo_azure_detail_tag_styles" open>
        	<summary class="mo_azure_summary_tag_styles">2 : <?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_SYNC');?></summary>
			<form method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzureSyncUserInJoomla');?>">
				<p class="mo_boot_mx-4"><em><?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_SYNC_INDIVIDUAL_USER_DESCRIPTION');?></em></p>
				<h5 class="mo_boot_my-4 mo_boot_mx-4"><em><?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_SYNC_INDIVIDUAL_USER');?></em></h5>
				<div class="mo_boot_row mo_boot_my-2 mo_boot_mx-4">
					<div class="mo_boot_col-sm-6">
						<input id="username" name="mo_azure_user_to_sync" placeholder="<?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_SYNC_USER_PLACEHOLDER');?>" class="mo_azure_text_box mo_boot_form-control mo_azure_query" style="width:90%; height:70%" required>
					</div>
					<div class="mo_boot_col-sm-3">
						<input type="submit" class="mo_boot_btn mo_azure_blue_buttons" value="<?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_SYNC_USER');?>" >
					</div>
				</div>
			</form>
		</details>

		<details class="mo_azure_detail_tag_styles" open>
        	<summary class="mo_azure_summary_tag_styles">3 : <?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_SYNC_ALL_USERS');?></summary>
			<form method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_azuresync&view=accountsetup&task=accountsetup.moAzureSyncAllUserInJoomla');?>">
				<p class="mo_boot_mx-4"><em><?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_SYNC_ALL_USERS_DESCRIPTION');?></em></p>
				<div class="mo_boot_row mo_boot_my-4 mo_boot_mx-4">
					<div class="mo_boot_col-sm-6">	
						<h5><em><?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_SYNC_ALL_USERS');?></em></h5>
					</div>
					<div class="mo_boot_col-sm-3">
						<input type="submit" class="mo_boot_btn mo_azure_blue_buttons" value="<?php echo JText::_('COM_MINIORANGE_AZURE_TO_JOOMLA_SYNC_ALL_USERS');?>">
					</div>
				</div>
			</form>
		</details>
	
	</div>
</div>
<?php 
}

function mo_azure_licensingplan(){
?>	
	<div class="mo_boot_row mo_azure_white_background">
		<div class="mo_boot_col-sm-12">
	
 			<div id="mo_azure_liciensing_table_wrapper mo_azure_blue_background">
				<h2 class="mo_azure_feature_comparision mo_boot_my-2 mo_boot_mt-4" id="mo_azure_target_license"><?php echo JText::_('COM_MINIORANGE_FEATURE_COMPARISON');?></h2>
			</div><br>
			
			<div class="mo_azure_pricing_wrapper ">
           		<div class="mo_azure_pricing_table">
               		<div class="mo_azure_pricing_table_head" >
                    	<h4 class="mo_azure_pricing_table_title"><?php echo JText::_('COM_MINIORANGE_FEATURE_COMPARISION_FREE_PLAN');?></h4>
              	 	</div>
               		<div class="mo_azure_pricing_table_content">
                   		<div class="mo_azure_pricing_table_price">
                       		<h1 style="margin-top:25%"><?php echo JText::_('COM_MINIORANGE_FEATURE_COMPARISION_FREE_PLAN_COST');?></h1>
                   		</div>
                   		<ul> <?php echo JText::_('COM_MINIORANGE_FEATURE_COMPARISION_FREE_PLAN_FEATURES');?></ul>
                   		<div class="mo_azure_sign-up">
				   			<input type="button"  onclick="window.open('https://miniorange.com/contact')" target="_blank" value="<?php echo JText::_('COM_MINIORANGE_CONTACT_US');?>"  class="btn bordered radius" />
                   		</div>
              	 	</div>
           		</div>
 
            	<div class="mo_azure_pricing_table">            
                	<div class="mo_azure_pricing_table_head">
                    	<h4 class="mo_azure_pricing_table_title"><?php echo JText::_('COM_MINIORANGE_FEATURE_COMPARISION_PREMIUM_PLAN');?></h4>
                	</div>
                	<div class="mo_azure_pricing_table_content" >
                    	<div class="mo_azure_pricing_table_price">
                       		<h5 style="margin-top:25%;color:white"><?php echo JText::_('COM_MINIORANGE_FEATURE_COMPARISION_PREMIUM_PLAN_COST');?></h5>
                    	</div>
                    	<ul> <?php echo JText::_('COM_MINIORANGE_FEATURE_COMPARISION_PREMIUM_PLAN_FEATURES');?> </ul>
                    	<div class="mo_azure_sign-up">
							<input type="button" style="color: #fff" onclick="window.open('https://miniorange.com/contact')" target="_blank" value="<?php echo JText::_('COM_MINIORANGE_CONTACT_US');?>"  class="btn bordered radius" />
                    	</div>
                	</div>
            	</div>
       		</div>
		</div>
		<br><br>

		<div id="mo_azure_licesnsing_policy">
			<div class="mo_azure-plan-title mo_boot_my-4">	
				<h3><?php echo JText::_('COM_MINIORANGE_END_TO_END_INTEGRATION');?></h3><hr>
        		<?php echo JText::_('COM_MINIORANGE_SET_UP_CALL');?>	
			</div>
		</div>	

		<div class="mo_azure-plan-title">
			<h3><?php echo JText::_('COM_MINIORANGE_RETURN_POLICY');?> - </h3><hr>
          		<section class="mo_azure_return-policy">
        	   		<p style="font-size:16px;">	<?php echo JText::_('COM_MINIORANGE_RETURN_POLICY_DETAILS');?></p>    
            	</section>
			</div>
		</div>	
	</div>	
<?php
}
?>